Subject: Re: [EXT] Re: Phylink flow control support on ports with MLO_AN_FIXED auto negotiation

From: Andrew Lunn <[email-masked]>
Date: Mon, 15 Feb 2021 19:18:15 +0100

On Mon, Feb 15, 2021 at 04:19:19PM +0000, Stefan Chulski wrote:
> > > > I discussed it with Andrew earlier last year, and his response was:
> > > >
> > > >  DT configuration of pause for fixed link probably is sufficient. I
> > > > don't  remember it ever been really discussed for DSA. It was a
> > > > Melanox  discussion about limiting pause for the CPU. So I think it
> > > > is safe to  not implement ethtool -A, at least until somebody has a
> > > > real use case  for it.
> > > >
> > > > So I chose not to support it - no point supporting features that
> > > > people aren't using. If you have a "real use case" then it can be added.
> > >
> > > This patch may be sufficient - I haven't fully considered all the
> > > implications of changing this though.
> > 
> > Did you try this patch? What's the outcome?
> 
> For me patch worked as expected.

Hi Stefan

Russell's patch allows it, but i would be interested in knows why you
actually need it. What is your use case for changing this on the fly?

	 Andrew